Bug 54676 - [PATCH] New chart axis type: Category axis
Summary: [PATCH] New chart axis type: Category axis
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: XSSF (show other bugs)
Version: unspecified
Hardware: PC All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-12 18:31 UTC by Martin Andersson
Modified: 2013-11-22 17:45 UTC (History)
0 users



Attachments
XSSFCategoryAxis implementation (1.89 KB, application/gzip)
2013-03-12 18:31 UTC, Martin Andersson
Details
Updated patch (2.13 KB, patch)
2013-03-13 07:20 UTC, Martin Andersson
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Andersson 2013-03-12 18:31:42 UTC
Created attachment 30042 [details]
XSSFCategoryAxis implementation

This patch adds the category axis type to xssf charts.

Largely copied from XSSFValueAxis.

Test case is included.

Tested in Excel 2010 and LibreOffice

ant clean test runs successfully
Comment 1 Martin Andersson 2013-03-13 07:20:49 UTC
Created attachment 30043 [details]
Updated patch

Parsing of the axis was missing. Updated patch
Comment 2 Martin Andersson 2013-04-01 10:59:39 UTC
I would be very happy if I, at least, could get some initial thoughts on this patch and https://issues.apache.org/bugzilla/show_bug.cgi?id=54696

My overall goal is to make the chart api somewhat usable by implementing other chart types and adding styling options.

A line chart implementation is available at github: https://github.com/umartin/poi/tree/linechart
Comment 3 Martin Andersson 2013-09-16 07:51:00 UTC
This patch still applys to trunk.
Comment 4 Cédric Walter 2013-11-08 08:26:50 UTC
Hi

Thanks for your contribution, i did has a look yesterday evening, except minor changes, I will commit it to trunk later this evening.
Comment 5 Martin Andersson 2013-11-12 07:17:35 UTC
Thanks!

I added a new series of patches in https://issues.apache.org/bugzilla/show_bug.cgi?id=55768 that applies after this one.
Comment 6 Cédric Walter 2013-11-22 17:45:08 UTC
merged in trunk revision 1544612